## Afriex SDK

### TypeScript

```typescript
const paymentMethod = await afriex.paymentMethods.get("payment-method-id");
```

```bash
curl --request GET \
  --url https://sandbox.api.afriex.com/api/v1/payment-method/{paymentMethodId} \
  --header 'x-api-key: <api-key>'
```

```python
import requests

url = "https://sandbox.api.afriex.com/api/v1/payment-method/{paymentMethodId}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://sandbox.api.afriex.com/api/v1/payment-method/{paymentMethodId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### Response Example

200
    success

```json
{
  "data": {
    "paymentMethodId": "6936b8774f987b2994865b73",
    "channel": "BANK_ACCOUNT",
    "customerId": "6922e4520a53e858ab42efa8",
    "institution": {
      "institutionCode": "000013",
      "institutionName": "GTBank"
    },
    "accountName": "John Doe",
    "accountNumber": "1234567890",
    "countryCode": "NG"
  }
}
```

### Retrieve a Specific Payment Method by its Unique Identifier

#### Authorizations

- **x-api-key**: Static business API key issued from the dashboard. A business can provision multiple API keys, each scoped to a configurable set of permissions (e.g. read transactions, create deposits, etc).

#### Headers

- **x-api-version**: API version in ISO 8601 format (e.g. 2025-12-28). Defaults to latest stable.

#### Path Parameters

- **paymentMethodId**: The unique identifier of the payment method.

#### Response

- **200**: Payment method retrieved successfully.

```json
{
  "data": {
    // ... payment method attributes ...
  }
}
```
